Skip to main content
GET
/
bank
/
{ifsc}
/
accounts
/
{account_number}
/
penniless-verify
Bank Account Verification [Penny-Less]
curl --request GET \
  --url https://api.sandbox.co.in/bank/{ifsc}/accounts/{account_number}/penniless-verify \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "timestamp": 1000000000000, "transaction_id": "3fd57890-2b90-4b41-ab10-1ffeaef85fb3", "data": { "@entity": "@in.co.sandbox.bank.account.penny_less_verification_response", "account_exists": true, "name_at_bank": "JOHN DOE" } }
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

List of Supported Banks for PennyLess Bank Account Verification

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-accept-cache
boolean

Controls cache behavior for the request: true — Return cached response if available false — Bypass cache and fetch fresh data from origin Default: If omitted, returns fresh data from origin

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Path Parameters

ifsc
string
required

11-digit alpha-numeric code used to identify the bank branches

Pattern: ^[A-Za-z]{4}[a-zA-Z0-9]{7}$
account_number
string
required

Bank account number. Max length: 40 characters

Query Parameters

name
string

Name. Max length: 100 characters

mobile
string

Mobile. Length: 10 digits

Response

code
integer
required
timestamp
integer
required
transaction_id
string
required
data
object
required